Index: data/media/levels/physicstest2.oxw
===================================================================
--- data/media/levels/physicstest2.oxw	(revision 5302)
+++ data/media/levels/physicstest2.oxw	(revision 5335)
@@ -3,5 +3,5 @@
 ?>
 <?lua
-  include("levels/hudtemplates.oxw")
+  include("levels/hudtemplates_physics.oxw")
 ?>
 
@@ -23,39 +23,42 @@
 	<!-- axes in ogre's origin of coordinate system for phsics engine testing purposes-->
 	<StaticEntity
-          position        = "0,0,0"
-          name            = "banana"
-          collisionType   = "static"
-          mass            = 1000
-        >
-		<attached>
-			<Model position="0,0,0" scale=10 mesh="plane.mesh" />
-		</attached>
-                <collisionShapes>
-                     <!--PlaneCollisionShape name="first_planeShape" normal="0,1,0" offset=0 /-->
-                </collisionShapes>
+     position        = "0,0,0"
+     name            = "banana"
+     collisionType   = "static"
+     mass            = 1000
+    >
+      <attached>
+        <Model position="0,0,0" scale=100 mesh="plane.mesh" />
+        <Model position="0,-0.0001,0" roll=180 scale=100 mesh="plane.mesh" />
+        
+      </attached>
+      <collisionShapes>
+        <PlaneCollisionShape name="thePlane" planeNormal="0,1,0" planeOffset=0 />
+      </collisionShapes>
 	</StaticEntity>
 	
 	<!-- red sphere for phsics engine testing purposes-->
-	<StaticEntity position="40,0,0">
+	<!--StaticEntity position="40,0,0">
 		<attached>
 			<Model position="0,0,0" scale=1 mesh="sphere.mesh" />
 		</attached>
-	</StaticEntity>
+	</StaticEntity-->
 
 	<!-- yellow cube for phsics engine testing purposes-->
-	<StaticEntity position="80,0,0">
-		<attached>
-			<Model position="0,0,0" scale=1 mesh="cube.mesh" />
-		</attached>
-	</StaticEntity>
+	<!--StaticEntity position="80,0,0">
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="cube.mesh" />
+      </attached>
+	</StaticEntity-->
+    
     <LinearEntity
      name            = "blubb"
-     position        = "-250, 30, -500"
+     position        = "-150, 20, -500"
      collisionType   = "kinematic"
-     mass            = 10
-     velocity        = "100, 0, 0"
-    >
-      <attached>
-        <Model name = "moedeli" position="0,0,0" scale=10 mesh="ast1.mesh" />
+     mass            = 10000
+     velocity        = "30, 0, 0"
+    >
+      <attached>
+        <Model name = "moedeli" position="0,0,0" scale=20 mesh="sphere.mesh" />
         <StaticEntity name="hahaha" position="0,0,0" collisionType="static">
           <collisionShapes>
@@ -65,21 +68,21 @@
       </attached>
       
-      <!--collisionShapes>
+      <!--attached>
         <SphereCollisionShape name = "secondSphere" radius=0.4 position="1,1,1"/>
         <CompoundCollisionShape position="4,4,4">
           <SphereCollisionShape name = "thirdSphere" radius=1.0/>
         </CompoundCollisionShape>
-      </collisionShapes-->
+      </attached-->
     </LinearEntity>
   
     <LinearEntity
      name            = "blubb2"
-     position        = "250, 0, -500"
+     position        = "150, 30, -500"
      collisionType   = "dynamic"
      mass            = 10
-     velocity        = "-100, 0, 0"
-    >
-      <attached>
-        <Model position="0,0,0" scale=10 mesh="ast1.mesh" />
+     velocity        = "-30, 0, 0"
+    >
+      <attached>
+        <Model position="0,0,0" scale=20 mesh="sphere.mesh" />
       </attached>
       <collisionShapes>
@@ -90,10 +93,10 @@
     <StaticEntity
      name            = "blubbStatic"
-     position        = "50, -20, -500"
-     collisionType   = "static"
+     position        = "0, 15, -500"
+     collisionType   = "Static"
      mass            = 10
     >
       <attached>
-        <Model position="0,0,0" scale=10 mesh="ast1.mesh" />
+        <Model position="0,0,0" scale=20 mesh="sphere.mesh" />
       </attached>
       <collisionShapes>
@@ -154,5 +157,5 @@
 
 
-    <ParticleSpawner position="0,0,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
+    <ParticleSpawner position="0,5,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
       <events>
         <spawn>
@@ -160,5 +163,5 @@
             <events>
               <trigger>
-                <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
+                <SpawnPoint position="0,5,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
               </trigger>
             </events>
